/* WalkingBird.h declares class WalkingBird,
 *  a subclass of Bird.
 * ...
 */
 
#ifndef WALKING_BIRD
#define WALKING_BIRD

#include "Bird.h"

class WalkingBird : public Bird
{
 public:
   WalkingBird(const string& kind);
   
   virtual string getMovement() const;
};

inline WalkingBird::WalkingBird(const string& kind) : Bird(kind) {}

inline string WalkingBird::getMovement() const { return "walked"; }

#endif